Bug 443831 - Xorg -configure with problems
Xorg -configure with problems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 11:59 EDT by Moacyr Prado
Modified: 2009-12-04 12:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:56:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Modules errors in "Xorg -configure" (1.57 KB, text/plain)
2008-09-19 09:49 EDT, P3P
no flags Details

  None (edit)
Description Moacyr Prado 2008-04-23 11:59:18 EDT
Description of problem: Xorg -configure with error


Version-Release number of selected component (if applicable): 1.5 RC1


How reproducible: 


Steps to Reproduce:
1. install System (from live disk)
2. log in with root
3. telinit 3
4. Xorg -configure
Actual results:

[root@Sabre Moacyr]# Xorg -configure

X.Org X Server 1.4.99.901 (1.5.0 RC 1)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-53.1.14.el5xen i686 
Current Operating System: Linux Sabre 2.6.25-1.fc9.i686 #1 SMP Thu Apr 17
01:47:10 EDT 2008 i686
Build Date: 14 April 2008  11:49:34PM
Build ID: xorg-x11-server 1.4.99.901-22.20080415.fc9 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Apr 23 12:48:45 2008
List of video drivers:
	cirrus
	intel_master
	mga
	mach64
	rendition
	siliconmotion
	i810
	sis
	i740
	nv
	radeon
	ast
	dummy
	trident
	openchrome
	savage
	v4l
	intel_batchbuffer
	s3virge
	sisusb
	ati
	ztv
	apm
	neomagic
	glint
	amd
	voodoo
	r128
	i128
	intel
	vmware
	tdfx
	geode
	nouveau
	fbdev
	vesa
(EE) Failed to load module "intelmaster" (module does not exist, 0)
(EE) Failed to load module "intelbatchbuffer" (module does not exist, 0)

Backtrace:
0: Xorg(xf86SigHandler+0x79) [0x80bc509]
1: [0x110400]
2: /usr/lib/xorg/modules/drivers//i810_drv.so [0x19780b]
3: /usr/lib/xorg/modules/drivers//i810_drv.so [0x1978b7]
4: Xorg [0x80a6557]
5: Xorg(xf86LoadModules+0xc5) [0x80a1395]
6: Xorg(DoConfigure+0x83) [0x80ad3f3]
7: Xorg(InitOutput+0x4fc) [0x80a35bc]
8: Xorg(main+0x279) [0x806b1b9]
9: /lib/libc.so.6(__libc_start_main+0xe6) [0xa9b5d6]
10: Xorg(FontFileCompleteXLFD+0x22d) [0x806a7a1]

Fatal server error:
Caught signal 11.  Server aborting

Aborted

Expected results:
Xorg.conf on root folder without errors

Additional info: (Fedora 9 live Preview Release - i386 on hp dv6000 laptop)
Comment 1 Adam Jackson 2008-04-25 12:27:07 EDT
Fixed in xorg-x11-drv-i810 2.2.1-23.fc9
Comment 2 Moacyr Prado 2008-05-01 06:16:06 EDT
I`ve update to 2.2.1-23 and has problem yet(In reply to comment #1)
> Fixed in xorg-x11-drv-i810 2.2.1-23.fc9

Comment 3 P3P 2008-09-19 09:49:56 EDT
Created attachment 317196 [details]
Modules errors in "Xorg -configure"

My display blinks when I move anything on screen, like when double framebuffer
are not used.
The command "Xorg -configure" prints these messages:
(EE) Failed to load module "intelbatchbuffer" (module does not exist, 0)
(EE) Failed to load module "intelmaster" (module does not exist, 0)

Fedora 9 system.
Graphics card i740 (intel 82740) 
lspci:
01:05.0 VGA compatible controller: Intel Corporation 82740 (i740) AGP Graphics
Accelerator (rev 21) (prog-if 00 [VGA controller])

# rpm -q xorg-x11-drv-i810
xorg-x11-drv-i810-2.3.2-2.fc9.i386
Comment 4 Bug Zapper 2008-11-25 21:13:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-11-18 04:34:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Vedran Miletić 2009-12-04 12:56:28 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.